Index: /extensions/header_manager/language/es_ES/description.txt
===================================================================
--- /extensions/header_manager/language/es_ES/description.txt	(revision 26378)
+++ /extensions/header_manager/language/es_ES/description.txt	(revision 26379)
@@ -1,1 +1,1 @@
-Header Manager permite gestionar banners de forma muy simple. Puedes subir una imagen desde tu ordenador o utilizar una imagen que ya esté en la galería.
+Header Manager permite sustituir el título que hay en la parte superior sus páginas web, por una imagen. Puede seleccionar entre una imagen, el título de su galería o una imagen con un texto sobreimpreso. La imagen puede subirse desde su disco duro o utilizar una ya existente en su galería.
Index: /extensions/header_manager/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/header_manager/language/es_ES/plugin.lang.php	(revision 26378)
+++ /extensions/header_manager/language/es_ES/plugin.lang.php	(revision 26379)
@@ -21,35 +21,35 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Add a banner'] = 'Añadir una bandera';
-$lang['Banner added'] = 'Bandera añadida';
-$lang['Banner deleted'] = 'Bandera eliminada';
-$lang['Banner'] = 'Bandera';
+$lang['Add a banner'] = 'Añadir una imagen de cabecera';
+$lang['Banner added'] = 'Imagen de cabecera añadida';
+$lang['Banner deleted'] = 'Imagen de cabecera eliminada';
+$lang['Banner'] = 'Imagen de cabecera';
 $lang['Choose an image from your computer'] = 'Elige una imagen desde tu ordenador';
-$lang['Choose the part of the image you want to use as your header.'] = 'Elija la parte de la imagen que desea utilizar como cabecera.';
-$lang['Crop banner image'] = 'Recortar la imagen de la bandera';
+$lang['Choose the part of the image you want to use as your header.'] = 'Elija la parte de la imagen que desea utilizar como imagen de cabecera.';
+$lang['Crop banner image'] = 'Recortar la imagen de imagen de cabecera';
 $lang['For MontBlancXL and BlancMontXL, advised size is 900&times;190.'] = 'Para MontBlancXL y BlancMontXL, el tamaño aconsejado es de 900 × 190.';
-$lang['Gallery title above image'] = 'Título de la galería por encima de la imagen';
+$lang['Gallery title above image'] = 'Titulo de la galería sobreimpreso encima de la imagen de cabecera';
 $lang['Image only'] = 'Sólo imagen';
 $lang['Incorrect file type,'] = 'Tipo de fichero incorrecto';
-$lang['No banner added yet'] = 'No se añadió ninguna bandera';
-$lang['Picture id.'] = 'Dirección de la imagen';
-$lang['Put <b>%header_manager%</b> where you want to display the image.'] = 'Ponga <b>% header_manager% </ b> donde desea mostrar la imagen.';
+$lang['No banner added yet'] = 'No se añadió ninguna imagen de cabecera';
+$lang['Picture id.'] = 'ID de la imagen';
+$lang['Put <b>%header_manager%</b> where you want to display the image.'] = 'Escriba la etiqueta <b>%header_manager%</b> en la parte de su código fuente donde desea que se muestre la imagen.';
 $lang['Random'] = 'Aleatorio';
 $lang['Select an image'] = 'Seleccione una imagen ';
-$lang['The numeric identifier can be found on the picture edition page, near the thumbnail.'] = 'El identificador numérico se puede encontrar en la página de edición de imágenes, cerca de la miniatura.';
-$lang['Unknown picture id'] = 'Dirección de la imagen desconocida';
+$lang['The numeric identifier can be found on the picture edition page, near the thumbnail.'] = 'El identificador numérico (ID) se puede encontrar en la página de edición de imágenes, cerca de la miniatura.';
+$lang['Unknown picture id'] = 'No se encuentra ninguna imagen con este ID';
 $lang['Use'] = 'Utilizar';
-$lang['With text'] = 'Con texto';
-$lang['You can customize the display by adding CSS rules to'] = 'Puede personalizar la pantalla mediante la adición de reglas CSS a';
-$lang['You can upload a custom header image or select one from your gallery. On the next screen you will be able to crop the image.'] = 'Puedes subir una imagen de cabecera personalizada o seleccione una de la galería. En la siguiente pantalla podrás recortar la imagen.';
+$lang['With text'] = 'Sólo texto';
+$lang['You can customize the display by adding CSS rules to'] = 'Puede configurar como se muestra la imagen de cabecera, añadiendo reglas CSS a';
+$lang['You can upload a custom header image or select one from your gallery. On the next screen you will be able to crop the image.'] = 'Puede subir una nueva imagen de cabecera o seleccione una de sus galerías. En la siguiente pantalla podrá recortar la imagen.';
 $lang['or choose a picture from the gallery'] = 'o elegir una imagen desde la galería';
-$lang['Default banner'] = 'Cabecera por defecto';
-$lang['Display banner on photo page'] = 'Visualice la bandera en la página de la foto';
-$lang['Album specific banners'] = 'Album específico de banderas ';
-$lang['In order to add a specific banner, go to the admin page of the desired album.'] = 'Con el fin de añadir una bandera específica, vaya a la página de administración del álbum deseado.';
+$lang['Default banner'] = 'Imagen de cabecera por defecto';
+$lang['Display banner on photo page'] = 'Mostrar imagen de cabecera en la página de fotos';
+$lang['Album specific banners'] = 'Álbum específico de imágenes de cabecera';
+$lang['In order to add a specific banner, go to the admin page of the desired album.'] = 'Si desea añadir una imagen de cabecera concreta, vaya a la página de administración del álbum deseado.';
 $lang['Non recursive'] = 'No recursivo';
 $lang['Recursive'] = 'Recursivo';
-$lang['Restore default banner'] = 'Restaurar bandera por defecto';
-$lang['Banner size'] = 'Tamaño de la bandera';
-$lang['Respect %s aspect ratio'] = 'Proporciones respecto el aspecto de %s (ratio)';
+$lang['Restore default banner'] = 'Restaurar imagen de cabecera por defecto';
+$lang['Banner size'] = 'Tamaño de la imagen de cabecera';
+$lang['Respect %s aspect ratio'] = 'Respecto las proporciones del acpecto de %s';
 ?>