Index: extensions/piwishack/language/da_DK/plugin.lang.php
===================================================================
--- extensions/piwishack/language/da_DK/plugin.lang.php	(revision 26388)
+++ extensions/piwishack/language/da_DK/plugin.lang.php	(revision 26390)
@@ -27,48 +27,48 @@
 $lang['sheet_custom'] = 'Andre koder';
 $lang['sheet_html'] = 'Grundlæggende HTML';
-$lang['admin_img_name_list'] = 'kun for lister';
+$lang['admin_img_name_list'] = 'kun ved lister';
 $lang['admin_img_name_never'] = 'aldrig';
-$lang['admin_save'] = 'gem';
-$lang['admin_title'] = 'PiwiShack konfiguration';
-$lang['admin_used_by'] = 'Piwishack vil blive brugbar for';
-$lang['admin_used_by_admin'] = 'kun administratorer';
-$lang['admin_used_by_all'] = 'alle besøgende (inklusiv gæster)';
-$lang['admin_used_by_members'] = 'registreret medlemmer';
-$lang['admin_window_open'] = 'HTML linket vil åbne i';
-$lang['admin_window_open_local'] = 'nuværende vindue (standard)';
+$lang['admin_save'] = 'Gem';
+$lang['admin_title'] = 'Opsætning af PiwiShack';
+$lang['admin_used_by'] = 'Piwishack vil kunne anvendes af';
+$lang['admin_used_by_admin'] = 'administratorer alene';
+$lang['admin_used_by_all'] = 'alle besøgende (herunder gæster)';
+$lang['admin_used_by_members'] = 'registrerede medlemmer';
+$lang['admin_window_open'] = 'HTML-linket åbner i';
+$lang['admin_window_open_local'] = 'det nuværende vindue (standard)';
 $lang['admin_window_open_other'] = 'et andet vindue (ikke anbefalet)';
 $lang['close'] = 'Luk';
-$lang['custom_code'] = 'Brugerdefineret kode #';
-$lang['post_code_Image'] = 'Ser normal visning (uden link)';
-$lang['post_code_ImageToGallery'] = 'Ser normal visning (klikbar, link til galleri)';
-$lang['post_code_NameToGallery'] = 'Navn på billede, med link til galleri';
-$lang['post_code_NameToImage'] = 'Navn på billede, med link til billede';
+$lang['custom_code'] = 'Brugerdefineret kode-#';
+$lang['post_code_Image'] = 'Viser normaltilstand (uden link)';
+$lang['post_code_ImageToGallery'] = 'Viser normaltilstand (klikbar, link til galleri)';
+$lang['post_code_NameToGallery'] = 'Billednavn, med link til galleri';
+$lang['post_code_NameToImage'] = 'Billednavn, med link til billede';
 $lang['post_code_Thumbnail'] = 'Vis miniaturebilledet (uden link)';
-$lang['post_code_ThumbnailToGallery'] = 'Vis miniaturebilledet (klikbar, link til galleri)';
-$lang['post_code_ThumbnailToImage'] = 'Vis miniaturebilledet (klikbar, link til billede)';
+$lang['post_code_ThumbnailToGallery'] = 'Vis miniaturebilledet (klikbart, link til galleri)';
+$lang['post_code_ThumbnailToImage'] = 'Vis miniaturebilledet (klikbart, link til billede)';
 $lang['admin_img_name_all'] = 'altid';
-$lang['admin_img_name'] = 'Er billednavne vist før kode?';
-$lang['admin_fieldset_main'] = 'Hovedparametrene';
-$lang['admin_fieldset_custom'] = 'Yderligere ark: brugerdefinerbare streng koder';
-$lang['admin_fieldset_codes'] = 'Piwishack kode udvalg';
-$lang['admin_default_sheet'] = 'Det format ark der vises som standard er';
-$lang['admin_default_sheet_html'] = 'HTML (for internet side)';
+$lang['admin_img_name'] = 'Skal billednavne vises før kode?';
+$lang['admin_fieldset_main'] = 'Hovedparametre';
+$lang['admin_fieldset_custom'] = 'Yderligere ark: brugerdefinerbare strengkoder';
+$lang['admin_fieldset_codes'] = 'Valg af Piwishack-koder';
+$lang['admin_default_sheet'] = 'Det formatark, der vises som standard er';
+$lang['admin_default_sheet_html'] = 'HTML (til webside)';
 $lang['admin_default_sheet_custom'] = 'brugerdefineret';
-$lang['admin_default_sheet_bbcode'] = 'BBCode (f.eks. for forum)';
-$lang['admin_custom_name'] = 'navn';
-$lang['admin_custom_help'] = 'Tip: Du kan bruge følgende variabler i dine mønstre:<br/>
-<label><span class="pattern">##i</span></label>: Webadressen for billedet - 
-<label><span class="pattern">##t</span></label>: Webadressen for miniaturebilledet - 
-<label><span class="pattern">##g</span></label>: Webadressen for gallerisiden -
-<label><span class="pattern">##n</span></label>: navn på billedet<br/>
-Henvisning til mønstre, der anvendes i det foregående feltsæt til eksempler.';
-$lang['admin_custom_code'] = 'Brugerdefineret kode #';
+$lang['admin_default_sheet_bbcode'] = 'BBCode (f.eks. til forum)';
+$lang['admin_custom_name'] = 'Navn:';
+$lang['admin_custom_help'] = 'Tip: Følgende variabler kan anvendes i mønstre:<br />
+ <label><span class="pattern">##i</span></label>: Billedets URL - 
+ <label><span class="pattern">##t</span></label>: Miniaturebilledets URL - 
+ <label><span class="pattern">##g</span></label>: Gallerisidens URL -
+ <label><span class="pattern">##n</span></label>: Billednavn<br />
+ For eksempler, se mønstre anvendt i det foregående feltsæt.';
+$lang['admin_custom_code'] = 'Brugerdefineret kode-#';
 $lang['admin_codes_thumb_to_page'] = 'Miniaturebillede med link til galleriside';
 $lang['admin_codes_thumb_to_image'] = 'Miniaturebillede med link til billede';
 $lang['admin_codes_thumb'] = 'Miniaturebillede uden link';
-$lang['admin_codes_name_to_image'] = 'Billede navn med link til billede';
-$lang['admin_codes_help'] = 'Tip: Hvert nummer definerer sorteringsrækkefølgen, som bruges til visning. "0" kan bruges, hvis du ikke ønsker at vise et streng mønster.';
+$lang['admin_codes_name_to_image'] = 'Billednavn med link til billede';
+$lang['admin_codes_help'] = 'Tip: Hvert nummer definerer sorteringsrækkefølgen, som bruges til visning. Brug "0", hvis der ikke skal vises et strengmønster.';
 $lang['admin_codes_img'] = 'Billede uden link';
 $lang['admin_codes_img_to_page'] = 'Billede med link til galleri';
-$lang['admin_codes_name_to_page'] = 'Billede navn med link til galleri';
+$lang['admin_codes_name_to_page'] = 'Billednavn med link til galleri';
 ?>