Index: /extensions/BatchDownloader/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/BatchDownloader/language/ar_SA/plugin.lang.php	(revision 26390)
+++ /extensions/BatchDownloader/language/ar_SA/plugin.lang.php	(revision 26391)
@@ -41,3 +41,46 @@
 $lang['Archive #%d (already downloaded)'] = 'أرشيف  #%d (تحميلها بالفعل)';
 $lang['<b>Warning:</b> all files will be deleted within %d hours'] = '<b>تحذير:</b> سيتم حذف جميع الملفات داخل %d ساعات ';
+$lang['The archive is downloading, if the download doesn\'t start automatically please <a href="%s">click here</a>'] = ' </a>  إضغط علي <a href="%s">   تلقائيا الرجاء  تحميل الأرشيف في تقدم. إذا لا يبدأ  ';
+$lang['Whole gallery'] = 'كل المعرض';
+$lang['You can not edit this set'] = 'لا يمكنك تحرير هذه المجموعة';
+$lang['real number of archives can differ'] = 'العدد الحقيقيا لللأرشيف يمكن أن تختلف';
+$lang['hours'] = 'ساعات';
+$lang['download'] = 'تحميل';
+$lang['done'] = 'أُنجِز';
+$lang['What can be downloaded?'] = ' ما يمكن تنزيله؟';
+$lang['Warning: Only registered users can use Batch Downloader.'] = 'تحذير: يمكن للمستخدمين المسجلين فقط استخدام دفعة تنزيل.';
+$lang['User groups'] = 'مجموعات المستخدم';
+$lang['Unknown'] = 'غير معروف';
+$lang['Total size'] = 'الحجم الإجمالي';
+$lang['User collection'] = 'مجموعة المستخدم';
+$lang['Remove all finished downloads'] = 'إزالة جميع التنزيلات المنتهية';
+$lang['Sorry, there is nothing to download. Some files may have been excluded because of <i title="Authorized types are : %s">filetype restrictions</i>.'] = ' <i title="Authorized types are : %s">filetype restrictions</i>.  آسف، لا يوجد شيء لتحميل. بعض الملفات قد يكون تم استبعادها بسبب';
+$lang['Starting download Archive #%d will destroy Archive #%d, be sure you finish the download. Continue ?'] = ' تاكد من انتهاء التحميل. المتابعة؟ . #%d سيدمر الأرشيف  #%d بدء تحميل الأرشيف';
+$lang['Set type'] = 'تعيين نوع';
+$lang['Return to download page'] = 'العودة إلى صفحة التحميل';
+$lang['Remove from download set'] = 'إزالة من مجموعة التحميل';
+$lang['Random'] = 'عشوائي';
+$lang['Preparation'] = 'التحضير';
+$lang['Please wait, your download is being prepared. This page will automatically refresh when it is ready.'] = 'يرجى الانتظار، يجري إعداد التحميل. سيتم تحديث هذه الصفحة تلقائيا عندما يكون جاهزا';
+$lang['Photo size choices'] = 'اختيارات حجم الصورة';
+$lang['Photo size'] = 'حجم الصورة';
+$lang['Only check if your host complains about high PHP usage.'] = 'PHP تحقق فقط إذا كان مضيفك يشتكي من الافراط في  استعمال';
+$lang['Only check if you are experiencing corrupted archives with ZipArchive.'] = ' ZipArchive تحقق إذا كنت في حالة مواجهة أرشيف تالف مع';
+$lang['One size'] = 'حجم واحد';
+$lang['Number of images'] = 'عدد الصور';
+$lang['Number of archives'] = 'عدد الارشيفات';
+$lang['No result'] = 'لا نتائج';
+$lang['Maximum size of each archive (in Megabytes)'] = 'الحد الأقصى لحجم كل ارشيف (في ميغابايت)';
+$lang['Maximum photo size'] = 'الحد الأقصى لحجم الصورة';
+$lang['Maximum number of photos per download set'] = 'الحد الأقصى لعدد الصور لكل مجموعة التحميل';
+$lang['It saves space on the server but doesn\'t allow to restart failed downloads.'] = 'أنه يوفر الفضاء في الكمبيوتر الخادم و لا يسمح إعادة تشغيل التنزيلات الفاشلة';
+$lang['Force the usage of PclZip instead of ZipArchive as ZIP library'] = 'ZipArchive  بدلا من  PclZip  فرض استخدام';
+$lang['Generate ZIP'] = 'ZIP إنشاء';
+$lang['Estimated size'] = 'الحجم المقدر';
+$lang['Estimated number of archives'] = 'عدد الأرشيف المُقدر';
+$lang['Edit the set'] = 'تحرير المجموعة';
+$lang['Downloads'] = 'تحميلات';
+$lang['Download set deleted'] = 'قواعد التحميل حُذفت';
+$lang['Download permissions'] = 'أذونات التحميل';
+$lang['Any size'] = 'أي حجم';
 ?>