Index: extensions/LLGBO2/language/fa_IR/plugin.lang.php
===================================================================
--- extensions/LLGBO2/language/fa_IR/plugin.lang.php	(revision 20742)
+++ extensions/LLGBO2/language/fa_IR/plugin.lang.php	(revision 26414)
@@ -54,3 +54,50 @@
 $lang['llgbo_header_additional_page'] = 'نمایش سربرگ در صفحات اضافی';
 $lang['llgbo_header_category'] = 'نمایش سربرگ در صفحه شاخه ها';
+$lang['llgbo_hdShadowbox'] = 'قرار دادن  هدایت گر و سایه های باکیفیت اچ دی بروی عکس<br>سایه با کیفیت بالا دارای فعالیت بیشتر   ';
+$lang['llgbo_tooltip'] = 'ابزار ویژ تولز تیپ (عکس های انگشتی)هنگام قرار گرفت موس روی تصویر  ';
+$lang['llgbo_header_search'] = 'نمایش در سربرگ صفحه جست جو';
+$lang['llgbo_header_tags'] = 'نمایش در سربرگ صفحه برچسب ها';
+$lang['llgbo_header_thePiwiShackControllerPage'] = 'نمایش در سربرگ صفحه کنترل پلاگین ها  ';
+$lang['llgbo_maintain_header'] = 'نگهداری و دنبال کردن سر برگ صفحهات';
+$lang['llgbo_title_frame'] = 'نمایش عنوان تصاویر در فرم';
+$lang['llgbo_title_frame_color'] = 'رنگ برای نمایش عنوان برای فرم ';
+$lang['llgbo_tooltip_backgroundcolor'] = 'پس زمینه رنگ پس تولز تیپ ';
+$lang['llgbo_tooltip_bordercolor'] = 'رنگ کادرتول تیپ ';
+$lang['llgbo_tooltip_color'] = 'رنگ نوشته {متن}';
+$lang['llgbo_tooltip_titlecolor'] = 'رنگ عنوان';
+$lang['llgbo_usemap'] = 'افزود یک هدایت کننده بروی عکس ';
+$lang['llgbo_usemap_thumb'] = 'نمایش انگشتی با هدایت گر فعل روی تصاویر ';
+$lang['llgo_frame_setting'] = 'تنظیمات قالب بدی';
+$lang['llgo_global_setting'] = 'piwigoتنظیمات  صفحه تصاویر  ';
+$lang['llgo_tooltip_setting'] = 'عنوان تول تیپ';
+$lang['llgo_tooltip_size'] = 'پهنای  حاشیه تول تیپ';
+$lang['llgo_tooltip_width'] = 'پهنای تول تیپ';
+$lang['llgbo_frame'] = 'مدیریت قالب بندی گرد کردن تصاویر';
+$lang['llgbo_header'] = 'مدیریت  نمایش سربرگ ';
+$lang['llgbo_header_about'] = 'نمایش در سربرگ درباره ما';
+$lang['llgbo_header_best_rated'] = 'نمایش در سربرگ بهترین رتبه بندی صفحات';
+$lang['llgbo_header_category_filter_recent'] = 'نمایش درسربرگ دسته بندی صفحات (filter by recent)';
+$lang['llgbo_header_category_flat'] = ' نمایش در سربرگ (option flat)';
+$lang['llgbo_header_category_posted_monthly'] = 'نمایش در سربرگ دستهبندی صفحه تظیمات تقویم ';
+$lang['llgbo_header_comments'] = 'نمایش در سربرگ صفحه نظرات';
+$lang['llgbo_header_created_monthly_calendar'] = 'نمایش در سربرگ صفحه تقویم';
+$lang['llgbo_header_favorites'] = 'نمایش در سربرگ علاقه مندی ها';
+$lang['llgbo_header_home'] = 'نمایش در سربرگ صفحه اصلی';
+$lang['llgbo_header_identification'] = 'نمایش در سربرگ صفحه وردبه سایت  ';
+$lang['llgbo_header_list'] = 'نمایش در سربرگ تصاویر اتفاقی';
+$lang['llgbo_header_most_visited'] = 'نمایش در سربرگ صفحه بیشترین بازدیدکنندشده گان ';
+$lang['llgbo_header_notification'] = 'نمایش در سربرگ اصلاعاع رسانی';
+$lang['llgbo_header_picture'] = 'نمایش در سربرگ تصاویر';
+$lang['llgbo_header_recent_cats'] = 'نمایش در سربرگ صفحه اخرین دسته ها';
+$lang['llgbo_header_recent_pics'] = 'نمایش در سربرگ صفحه اخرین تصاویر';
+$lang['llgbo_header_register'] = 'نمایش در سربرگ صفحه ثبت نام ';
+$lang['Step2_Title'] = 'تنظیمات ابزار نکته';
+$lang['Step4_Title'] = 'نمایش ویا مخفی کردن در صفحات';
+$lang['Title'] = 'تماشای لینکهای GBo';
+$lang['llgbo_M_frame'] = 'مدیریت قالب بندی';
+$lang['llgbo_M_header'] = 'مدیریت نمایش باصفحه{هدر}';
+$lang['llgbo_M_tooltip'] = 'مدیریت ابزار نکته';
+$lang['llgbo_default_navthumb'] = 'متوقف کردن  عقب_جلوی انگشتی ها به صورت نمایش استاندارد';
+$lang['llgbo_dispinshadowbox'] = ' نمایش در شادباکس -->';
+$lang['llgbo_exifunderbt'] = ' :mouseover برای EXIF ابزار نکته ویژه';
 ?>