Index: extensions/ExtendedDescription/language/ar_SA/help.extdesc.html
===================================================================
--- extensions/ExtendedDescription/language/ar_SA/help.extdesc.html	(revision 26430)
+++ extensions/ExtendedDescription/language/ar_SA/help.extdesc.html	(revision 26430)
@@ -0,0 +1,30 @@
+<p>الوصف الموسع يجعل بالامكانية اظهار وصف قصير عن التصنيف خارجه
+وصف اطول سوف يكون داخل التصنيف نفسه
+او حتى وصفين مختلفين للتصنيف داخله</p>
+
+<p>الدالة &lt;!--more--&gt; تضف نص الى الوصف القصير<br>
+الدالة &lt;!--complete--&gt; تجعل المستخدم يدخل وصفين مختلفين<br>
+الدالة &lt;!--up-down--&gt; تجعل المستخدم يملك وصف اعلى الصفحة واسفلها</p>
+
+<ul>
+<li><b>tag &lt;!--more--&gt;</b></li>
+</ul>
+<code>وصف قصير&lt;!--more--&gt; وصف طويل</code>
+<p>الوصف القصير سيعرض خارج التصنيف وكلا الوصفين الطويل والقصير سيعرضان
+داخل التصنيف</p>
+
+<ul>
+<li><b>tag &lt;!--complete--&gt;</b></li>
+</ul>
+<code>وصف قصير&lt;!--complete--&gt; وصف طويل</code>
+<p> الوصفين الطويل والقصير سيعرضان
+وفي صفحة التصنيف سيعرض فقط الوصف الطويل و هنا يمكنك
+ان ترى وصفين مختلفين</p>
+
+<ul>
+<li><b>tag &lt;!--up-down--&gt;</b></li>
+</ul>
+<code>الوصف العلوي &lt;!--up-down--&gt; الوصف السفلي</code>
+<p>فقط يتم عرض الوصف الأعلى خارج هذه الفئة. على
+صفحة الفئة، يتم عرض وصف العليا فوق الصور المصغرة ،
+يتم عرض الوصف أسفل تحت المصغرة.</p>
Index: extensions/ExtendedDescription/language/ar_SA/help.hide.html
===================================================================
--- extensions/ExtendedDescription/language/ar_SA/help.hide.html	(revision 26430)
+++ extensions/ExtendedDescription/language/ar_SA/help.hide.html	(revision 26430)
@@ -0,0 +1,20 @@
+<h4>اخفاء تصنيف</h4>
+
+<p>استخدم <b>&lt;!--hidden--&gt;</b> في اسم التصنيف:<br>
+<br>
+- لا تظهر في المجلد الاب<br>
+- تبقى مرئية في شريط القوائم</p>
+
+<h4>اخفاء تصنيف في القائمة</h4>
+
+<p>استخدم <b>&lt;!--mb-hidden--&gt;</b> في اسم التصنيف:<br>
+<br>
+- لا تظهر مرئية في شريط القوائم<br>
+- تظهر في المجلد الاب</p>
+
+<h4>اخفاء صورة</h4>
+
+<p>استخدم<b>&lt;!--hidden--&gt;</b> في اسم الصورة:<br>
+<br>
+- لا تظهر في صفحة الصور المصغرة<br>
+- تبقى ظاهرة داخل التصنيف</p>
Index: extensions/ExtendedDescription/language/ar_SA/help.html
===================================================================
--- extensions/ExtendedDescription/language/ar_SA/help.html	(revision 17102)
+++ 	(revision )
@@ -1,111 +1,0 @@
-<div style="text-align:left;">
-<h2>اضافة الوصف</h2>
-
-<h3>متعدد اللغات في الوصف</h3>
-
-<p>متعدد اللغات يوضع بين[lang=xx] و [/lang]
-دلائل, حيث xx هو رمزاللغة (مثال  en, es, fr). هنالك ايضا لغتين خاصتين : [lang=default] and [lang=all]</p>
-
-<ul>
-<li><b>مثال</b>:<br>
-<br>
-<code>[lang=default] الوصف الافتراضي [/lang]<br>
-[lang=en] الوصف بالانجليزي [/lang]<br>
-[lang=de] الوصف بالالماني [/lang]</code>
-</li>
-</ul>
-
-<p>وسيتم استخدام الوصف الافتراضي إذا كان الوصف ليس
-المتاحة في اختيار لغة المستخدم المتصل.
-اذا [lang=default] لم يكن موجودا اي شيء خارج [lang] الدلائل سيعتبر الافتراضي.</p>
-
-<p><u>لغة خاصة <i>all</i></u>: اي شيء داخل [lang=all] سوف
-يدخل بالوصف, باي لغة يعرف المستخدم
-هذا مفيد في HTML/JavaScript code داخل الوصف.</p>
-
-<h3>الوصف الموسع</h3>
-
-<p>الوصف الموسع يجعل بالامكانية اظهار وصف قصير عن التصنيف خارجه
-وصف اطول سوف يكون داخل التصنيف نفسه
-او حتى وصفين مختلفين للتصنيف داخله</p>
-
-<p>الدالة &lt;!--more--&gt; تضف نص الى الوصف القصير<br>
-الدالة &lt;!--complete--&gt; تجعل المستخدم يدخل وصفين مختلفين<br>
-الدالة &lt;!--up-down--&gt; تجعل المستخدم يملك وصف اعلى الصفحة واسفلها</p>
-
-<ul>
-<li><b>tag &lt;!--more--&gt;</b></li>
-</ul>
-<code>وصف قصير&lt;!--more--&gt; وصف طويل</code>
-<p>الوصف القصير سيعرض خارج التصنيف وكلا الوصفين الطويل والقصير سيعرضان
-داخل التصنيف</p>
-
-<ul>
-<li><b>tag &lt;!--complete--&gt;</b></li>
-</ul>
-<code>وصف قصير&lt;!--complete--&gt; وصف طويل</code>
-<p> الوصفين الطويل والقصير سيعرضان
-وفي صفحة التصنيف سيعرض فقط الوصف الطويل و هنا يمكنك
-ان ترى وصفين مختلفين</p>
-
-<ul>
-<li><b>tag &lt;!--up-down--&gt;</b></li>
-</ul>
-<code>الوصف العلوي &lt;!--up-down--&gt; الوصف السفلي</code>
-<p>فقط يتم عرض الوصف الأعلى خارج هذه الفئة. على
-صفحة الفئة، يتم عرض وصف العليا فوق الصور المصغرة ،
-يتم عرض الوصف أسفل تحت المصغرة.</p>
-
-<h3>ادخل صورة او تصنيف</h3>
-
-<ul>
-<li><b>tag [cat=xx]</b></li>
-</ul>
-<p>يدخل تصنيف في الوصف حيث xx هو معرف التصنيف</p>
-
-
-<h3>اخفاء تصنيف</h3>
-
-<p>استخدم <b>&lt;!--hidden--&gt;</b> في اسم التصنيف:<br>
-<br>
-- لا تظهر في المجلد الاب<br>
-- تبقى مرئية في شريط القوائم</p>
-
-<h3>اخفاء تصنيف في القائمة</h3>
-
-<p>استخدم <b>&lt;!--mb-hidden--&gt;</b> في اسم التصنيف:<br>
-<br>
-- لا تظهر مرئية في شريط القوائم<br>
-- تظهر في المجلد الاب</p>
-
-<h3>اخفاء صورة</h3>
-
-<p>استخدم<b>&lt;!--hidden--&gt;</b> في اسم الصورة:<br>
-<br>
-- لا تظهر في صفحة الصور المصغرة<br>
-- تبقى ظاهرة داخل التصنيف</p>
-
-<h3>التصنيف المحول</h3>
-
-<ul>
-<li><b>[redirect http://piwigo.org]</b></li>
-</ul>
-<p>ادخل هذا الكود وستحول الى الصفحة التي تريد</p>
-
-<ul>
-<li><b>[redirect img=xx]</b></li>
-</ul>
-<p>تحولك الى صورة في معرضك حيث xx هو معرف الصورة
-ويمكنك اضافة معرف التصنيف الى جانبه
-<code>xx.ccc</code>.</p>
-
-<ul>
-<li><b>[redirect cat=xx]</b></li>
-</ul>
-<p>تحولك الى التصنيف حيث xx هو معرف التصنيف</p>
-
-<ul>
-<li><b>[redirect search=xx]</b></li>
-</ul>
-<p>يحولك الى صفحة بحث في معرضك حيث xx هو معرف البحث</p>
-</div>
Index: extensions/ExtendedDescription/language/ar_SA/help.lang.html
===================================================================
--- extensions/ExtendedDescription/language/ar_SA/help.lang.html	(revision 26430)
+++ extensions/ExtendedDescription/language/ar_SA/help.lang.html	(revision 26430)
@@ -0,0 +1,19 @@
+<p>متعدد اللغات يوضع بين[lang=xx] و [/lang]
+دلائل, حيث xx هو رمزاللغة (مثال  en, es, fr). هنالك ايضا لغتين خاصتين : [lang=default] and [lang=all]</p>
+
+<ul>
+<li><b>مثال</b>:<br>
+<br>
+<code>[lang=default] الوصف الافتراضي [/lang]<br>
+[lang=en] description in english [/lang]<br>
+[lang=de] deutsche Beschreibung [/lang]</code>
+</li>
+</ul>
+
+<p>وسيتم استخدام الوصف الافتراضي إذا كان الوصف ليس
+المتاحة في اختيار لغة المستخدم المتصل.
+اذا [lang=default] لم يكن موجودا اي شيء خارج [lang] الدلائل سيعتبر الافتراضي.</p>
+
+<p><u>لغة خاصة <i>all</i></u>: اي شيء داخل [lang=all] سوف
+يدخل بالوصف, باي لغة يعرف المستخدم
+هذا مفيد في HTML/JavaScript code داخل الوصف.</p>
Index: extensions/ExtendedDescription/language/ar_SA/help.redirect.html
===================================================================
--- extensions/ExtendedDescription/language/ar_SA/help.redirect.html	(revision 26430)
+++ extensions/ExtendedDescription/language/ar_SA/help.redirect.html	(revision 26430)
@@ -0,0 +1,21 @@
+<ul>
+<li><b>[redirect http://piwigo.org]</b></li>
+</ul>
+<p>ادخل هذا الكود وستحول الى الصفحة التي تريد</p>
+
+<ul>
+<li><b>[redirect img=xx]</b></li>
+</ul>
+<p>تحولك الى صورة في معرضك حيث xx هو معرف الصورة
+ويمكنك اضافة معرف التصنيف الى جانبه
+<code>xx.ccc</code>.</p>
+
+<ul>
+<li><b>[redirect cat=xx]</b></li>
+</ul>
+<p>تحولك الى التصنيف حيث xx هو معرف التصنيف</p>
+
+<ul>
+<li><b>[redirect search=xx]</b></li>
+</ul>
+<p>يحولك الى صفحة بحث في معرضك حيث xx هو معرف البحث</p>
Index: extensions/ExtendedDescription/language/ar_SA/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/ar_SA/plugin.lang.php	(revision 17102)
+++ extensions/ExtendedDescription/language/ar_SA/plugin.lang.php	(revision 26430)
@@ -1,6 +1,10 @@
 <?php
 
-$lang['ExtendedDesc_help'] = 'استخدم اضافة الوصف مع الدلائل';
+$lang['Use Extended Description tags...'] = 'استخدم اضافة الوصف مع الدلائل';
 $lang['This category is redirected to %s'] = 'هذا التصنيف يحول الى %s';
 
+$lang['Multilingual descriptions'] = 'متعدد اللغات في الوصف';
+$lang['Extended descriptions'] = 'لوصف الموسع';
+$lang['Insert an album or a photo'] = 'ادخل صورة او تصنيف';
+
 ?>