Index: /extensions/ExtendedDescription/language/eo_EO/help.cat_photo.html
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/help.cat_photo.html	(revision 26432)
+++ /extensions/ExtendedDescription/language/eo_EO/help.cat_photo.html	(revision 26432)
@@ -0,0 +1,19 @@
+<ul>
+  <li><b>[cat=xx]</b></li>
+</ul>
+<p>Tiu etikedo enŝovas fotaron en la priskribon, kie xx estas la fotara identigilo.</p>
+
+<ul>
+  <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Tiu etikedo permesas al vi enŝovi unu bildon je iu ajn grandeco, kiun vi deziras, kun:<br><br>
+- <code>id</code> la foto identigilo<br>
+- <code>album</code> (opciona) la identigilo de la patra fotaro<br>
+- <code>size</code> (opciona) la grandeco de la foto, inter (de la plej eta al la plej granda) <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (opciona) se agordita al <i>no</i> la etikedo montras nur la URL de la foto, sen HTML<br>
+- <code>link</code> (opciona) se agordita al <i>yes</i> la foton ĉirkaŭfluas ligilo al la bildopaĝo</p>
+
+<ul>
+  <li><b>[random album=yy grandeco=M html=yes link=yes]</b></li>
+</ul>
+<p>Samo kiel ĉisupre, krom ke la foto estas hazarde elektita en la <code>album</code></p>
Index: /extensions/ExtendedDescription/language/eo_EO/help.extdesc.html
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/help.extdesc.html	(revision 26432)
+++ /extensions/ExtendedDescription/language/eo_EO/help.extdesc.html	(revision 26432)
@@ -0,0 +1,25 @@
+<p>Etikedoj de la etenditaj priskriboj ebligas havi malongan priskribon por la fotaro ekster la fotaro,
+pli longa priskribon por la fotaro ene de la fotara paĝo,
+aŭ eĉ 2 malsamajn priskribojn ene de la fotara paĝo.</p>
+
+<p>etikedo &lt;!--more--&gt; aldonas tekston al la mallonga priskribo.<br>
+etikedo &lt;!--complete--&gt; lasas la uzanto havi 2 malsamajn priskribojn.<br>
+etikedo &lt;!--up-down--&gt; lasas la uzanto havi priskribojn ĉe la supro kaj ĉe la malsupro.</p>
+
+<ul>
+  <li><b>&lt;!--more--&gt;</b></li>
+</ul>
+<code>malonga priskribo &lt;!--more--&gt; longa priskribo</code>
+<p>Nur la mallonga priskribo vidiĝas ekster la fotaro. Sur la fotara paĝo, vi vidos mallongan priskribon + longan priskribon.</p>
+
+<ul>
+  <li><b>&lt;!--complete--&gt;</b></li>
+</ul>
+<code>mallonga priskribo &lt;!--complete--&gt; longa priskribo</code>
+<p>Nur la mallonga priskribo vidiĝas ekster la fotaro. Sur la fotara paĝp, vi nur vidos la longan priskribon, do vi havas 2 malsamajn priskribojn.</p>
+
+<ul>
+  <li><b>&lt;!--up-down--&gt;</b></li>
+</ul>
+<code>supra priskribo &lt;!--up-down--&gt; malsupra priskribo</code>
+<p>Nur la supra priskribo vidiĝas ekster la fotaro. Nur la fotara paĝo, la supra priskribo vidiĝas super la miniaturoj, la malsupra priskribo vidiĝas sub la miniaturoj.</p>
Index: /extensions/ExtendedDescription/language/eo_EO/help.hide.html
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/help.hide.html	(revision 26432)
+++ /extensions/ExtendedDescription/language/eo_EO/help.hide.html	(revision 26432)
@@ -0,0 +1,20 @@
+<h4>Kaŝi fotaron</h4>
+
+<p>Uzi etikedon <b>&lt;!--hidden--&gt;</b> en la fotara nomo:<br>
+<br>
+- ĝi ne vidigeblos en la patra fotaro<br>
+- ĝi restas vidigebla en la fotara menuo</p>
+
+<h4>Kaŝi fotaro el la menuo</h4>
+
+<p>Uzi etikedon <b>&lt;!--mb-hidden--&gt;</b> en la fotara nomo:<br>
+<br>
+- ĝi ne vidiĝos en la fotara menuo<br>
+- ĝi plu videblas en la patra fotaro</p>
+
+<h4>Kaŝi foton</h4>
+
+<p>Uzi etikedon <b>&lt;!--hidden--&gt;</b> en la fotonomo:<br>
+<br>
+- ĝi ne vidiĝos sur la paĝo de miniaturoj<br>
+- ĝi plu videblas ene de la fotaro</p>
Index: tensions/ExtendedDescription/language/eo_EO/help.html
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/help.html	(revision 26431)
+++ 	(revision )
@@ -1,132 +1,0 @@
-<div style="text-align:left;">
-<h2>Etendita Priskribo</h2>
-
-<h3>Pluralingvaj priskriboj</h3>
-
-<p>Pluralingvaj priskriboj troviĝas inter la etikedoj [lang=xx] kaj [/lang], kie xx estas la lingva kodo (ekzemple eo, en, es, fr). Estas ankaŭ 2 specialaj lingvoj: [lang=default] kaj [lang=all]</p>
-
-<ul>
-  <li><b>Ekzemple</b>:<br>
-<code>[lang=default] apriora priskribo [/lang]<br>
-[lang=eo] priskribo en esperanto [/lang]<br>
-[lang=en] description in english [/lang]<br>
-[lang=de] deutsche Beschreibung [/lang]</code>
-</li>
-</ul>
-
-<p>La apriora priskribo ne uziĝos se la priskribo ne disponeblas ĉe la lingvo selektita de la konektita uzanto.
-Se [lang=default] ne ekzistas, ĉio ajn krom la [lang] etikedoj estos considerata kiel la apriora priskribo.</p>
-
-<p><u>Speciala lingvo <i>ĉio</i></u>: ĉio ajn ene de [lang=all] estos inkluzivita en la priskribo, kia ajn estu la elektita lingvo de la konektita uzanto.
-Tio ĉefe utilas por inkluzivi HTML/JavaScript-kodo ene de priskribo.</p>
-
-<h3>Etenditaj priskriboj</h3>
-
-<p>Etikedoj de la etenditaj priskriboj ebligas havi malongan priskribon por la fotaro ekster la fotaro,
-pli longa priskribon por la fotaro ene de la fotara paĝo,
-aŭ eĉ 2 malsamajn priskribojn ene de la fotara paĝo.</p>
-
-<p>etikedo &lt;!--plia--&gt; aldonas tekston al la mallonga priskribo.<br>
-etikedo &lt;!--tuta--&gt; lasas la uzanto havi 2 malsamajn priskribojn.<br>
-etikedo &lt;!--supra-malsupra--&gt; lasas la uzanto havi priskribojn ĉe la supro kaj ĉe la malsupro.</p>
-
-<ul>
-  <li><b>&lt;!--plia--&gt;</b></li>
-</ul>
-<code>malonga priskribo &lt;!--plia--&gt; longa priskribo</code>
-<p>Nur la mallonga priskribo vidiĝas ekster la fotaro. Sur la fotara paĝo, vi vidos mallongan priskribon + longan priskribon.</p>
-
-<ul>
-  <li><b>&lt;!--tuta--&gt;</b></li>
-</ul>
-<code>mallonga priskribo &lt;!--tuta--&gt; longa priskribo</code>
-<p>Nur la mallonga priskribo vidiĝas ekster la fotaro. Sur la fotara paĝp, vi nur vidos la longan priskribon, do vi havas 2 malsamajn priskribojn.</p>
-
-<ul>
-  <li><b>&lt;!--supra-malsupra--&gt;</b></li>
-</ul>
-<code>supra priskribo &lt;!--supra-malsupra--&gt; malsupra priskribo</code>
-<p>Nur la supra priskribo vidiĝas ekster la fotaro. Nur la fotara paĝo, la supra priskribo vidiĝas super la miniaturoj, la malsupra priskribo vidiĝas sub la miniaturoj.</p>
-
-<h3>Enŝovi fotaron aŭ foton</h3>
-
-<ul>
-  <li><b>[kat=xx]</b></li>
-</ul>
-<p>Tiu etikedo enŝovas fotaron en la priskribon, kie xx estas la fotara identigilo.</p>
-
-<ul>
-  <li><b>[foto id=xx fotaro=yy grandeco=M html=yes ligilo=yes]</b></li>
-</ul>
-<p>Tiu etikedo permesas al vi enŝovi unu bildon je iu ajn grandeco, kiun vi deziras, kun:<br><br>
-- <code>id</code> la foto identigilo<br>
-- <code>fotaro</code> (opciona) la identigilo de la patra fotaro<br>
-- <code>grandeco</code> (opciona) la grandeco de la foto, inter (de la plej eta al la plej granda) <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
-- <code>html</code> (opciona) se agordita al <i>ne</i> la etikedo montras nur la URL de la foto, sen HTML<br>
-- <code>ligilo</code> (opciona) se agordita al <i>jes</i> la foton ĉirkaŭfluas ligilo al la bildopaĝo</p>
-
-<ul>
-  <li><b>[hazarda fotaro=yy grandeco=M html=jes ligilo=jes]</b></li>
-</ul>
-<p>Samo kiel ĉisupre, krom ke la foto estas hazarde elektita en la <code>fotaro</code></p>
-
-<ul>
-  <li><b>[ŝovilo fotaro=xx nb_bildoj=10 hazarda=ne listo=aa,bb,cc grandeco=M rapideco=3 titolo=ne efekto=dissolvo sagoj=jes kontroloj=jes elastika=ne]</b></li>
-</ul>
-<p>Tiu etikedo permesas enmeti bildoprezenton (NivoSlider). (Vi devas agordi <code>fotaro</code>n AŬ <code>listo</code>):<br><br>
-- <code>fotaro</code> (opcia) fonta fotaro<br>
-- <code>nb_bildoj</code> (opciona) maksimuma nombro da fotoj vidigotaj en la bildoprezento<br>
-- <code>hazarda</code> (opciona) elektas fotojn hazarde en la fotar<br>
-- <code>listo</code> (opciona) listo de fotaj identigiloj apartigitaj de komo<br>
-- <code>grandeco</code> (opciona) la grandeco de la fotoj, el <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
-- <code>rapideco</code> (opciona) la bildoprezenta rapideco (en sekondoj)<br>
-- <code>titolo</code> (opciona) vidigas fototitolon<br>
-- <code>efekto</code> (opciona) transpasa efekto (vidu <a href="http://nivo.dev7studios.com/support/jquery-plugin-usage/">NivoSlider-an dokumenton</a>)<br>
-- <code>sagoj</code> (opciona) vidigas navigajn sagojn<br>
-- <code>kontrolo</code> (opciona) vidigas navigajn kontrolojn<br>
-- <code>elastika</code> (opciona) adaptas la grandecon de la bildoprezento al ĉiu foto</p>
-
-
-<h3>Kaŝi fotaron</h3>
-
-<p>Uzi etikedon <b>&lt;!--kaŝita--&gt;</b> en la fotara nomo:<br>
-<br>
-- ĝi ne vidigeblos en la patra fotaro<br>
-- ĝi restas vidigebla en la fotara menuo</p>
-
-<h3>Kaŝi fotaro el la menuo</h3>
-
-<p>Uzi etikedon <b>&lt;!--mb-kaŝita--&gt;</b> en la fotara nomo:<br>
-<br>
-- ĝi ne vidiĝos en la fotara menuo<br>
-- ĝi plu videblas en la patra fotaro</p>
-
-<h3>Kaŝi foton</h3>
-
-<p>Uzi etikedon <b>&lt;!--kaŝita--&gt;</b> en la fotonomo:<br>
-<br>
-- ĝi ne vidiĝos sur la paĝo de miniaturoj<br>
-- ĝi plu videblas ene de la fotaro</p>
-
-<h3>Alidirekti fotaron</h3>
-
-<ul>
-  <li><b>[alidirekti http://piwigo.org]</b></li>
-</ul>
-<p>Enmeti tiun etikedon ene de la fotara priskribo por alidirekti ĝin al la URL de via elekto.</p>
-
-<ul>
-  <li><b>[alidirekti bildo=xx]</b></li>
-</ul>
-<p>Alidirekti al foto de via galerio, kie xx estas la foto-identigilo; vi povas aldoni la fotaran identigilon apud la foto-identigilo: <code>xx.ccc</code>.</p>
-
-<ul>
-  <li><b>[alidirekti kat=xx]</b></li>
-</ul>
-<p>Alidirekti al fotaro de via galerio, kie xx estas la fotara identigilo.</p>
-
-<ul>
-  <li><b>[alidirekti serĉo=xx]</b></li>
-</ul>
-<p>Alidirekti al serĉopaĝo de via galerio, kie xx estas la serĉoidentigilo.</p>
-</div>
Index: /extensions/ExtendedDescription/language/eo_EO/help.lang.html
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/help.lang.html	(revision 26432)
+++ /extensions/ExtendedDescription/language/eo_EO/help.lang.html	(revision 26432)
@@ -0,0 +1,16 @@
+<p>Pluralingvaj priskriboj troviĝas inter la etikedoj [lang=xx] kaj [/lang], kie xx estas la lingva kodo (ekzemple eo, en, es, fr). Estas ankaŭ 2 specialaj lingvoj: [lang=default] kaj [lang=all]</p>
+
+<ul>
+  <li><b>Ekzemple</b>:<br>
+<code>[lang=default] apriora priskribo [/lang]<br>
+[lang=eo] priskribo en esperanto [/lang]<br>
+[lang=en] description in english [/lang]<br>
+[lang=de] deutsche Beschreibung [/lang]</code>
+</li>
+</ul>
+
+<p>La apriora priskribo ne uziĝos se la priskribo ne disponeblas ĉe la lingvo selektita de la konektita uzanto.
+Se [lang=default] ne ekzistas, ĉio ajn krom la [lang] etikedoj estos considerata kiel la apriora priskribo.</p>
+
+<p><u>Speciala lingvo <i>ĉio</i></u>: ĉio ajn ene de [lang=all] estos inkluzivita en la priskribo, kia ajn estu la elektita lingvo de la konektita uzanto.
+Tio ĉefe utilas por inkluzivi HTML/JavaScript-kodo ene de priskribo.</p>
Index: /extensions/ExtendedDescription/language/eo_EO/help.redirect.html
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/help.redirect.html	(revision 26432)
+++ /extensions/ExtendedDescription/language/eo_EO/help.redirect.html	(revision 26432)
@@ -0,0 +1,19 @@
+<ul>
+  <li><b>[redirect http://piwigo.org]</b></li>
+</ul>
+<p>Enmeti tiun etikedon ene de la fotara priskribo por alidirekti ĝin al la URL de via elekto.</p>
+
+<ul>
+  <li><b>[redirect img=xx]</b></li>
+</ul>
+<p>Alidirekti al foto de via galerio, kie xx estas la foto-identigilo; vi povas aldoni la fotaran identigilon apud la foto-identigilo: <code>xx.ccc</code>.</p>
+
+<ul>
+  <li><b>[redirect cat=xx]</b></li>
+</ul>
+<p>Alidirekti al fotaro de via galerio, kie xx estas la fotara identigilo.</p>
+
+<ul>
+  <li><b>[redirect search=xx]</b></li>
+</ul>
+<p>Alidirekti al serĉopaĝo de via galerio, kie xx estas la serĉoidentigilo.</p>
Index: /extensions/ExtendedDescription/language/eo_EO/help.slider.html
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/help.slider.html	(revision 26432)
+++ /extensions/ExtendedDescription/language/eo_EO/help.slider.html	(revision 26432)
@@ -0,0 +1,16 @@
+<ul>
+  <li><b>[slider album=xx nb_images=10 random=no list=aa,bb,cc size=M speed=3 title=no effect=fade arrows=yes control=yes elastic=no thumbs_size=80]</b></li>
+</ul>
+<p>Tiu etikedo permesas enmeti bildoprezenton (NivoSlider). (Vi devas agordi <code>album</code>n AŬ <code>list</code>):<br><br>
+- <code>album</code> (opcia) fonta fotaro<br>
+- <code>nb_images</code> (opciona) maksimuma nombro da fotoj vidigotaj en la bildoprezento<br>
+- <code>random</code> (opciona) elektas fotojn hazarde en la fotar <i>{yes, no}</i><br>
+- <code>list</code> (opciona) listo de fotaj identigiloj apartigitaj de komo<br>
+- <code>size</code> (opciona) la grandeco de la fotoj, el <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>speed</code> (opciona) la bildoprezenta rapideco (en sekondoj)<br>
+- <code>title</code> (opciona) vidigas fototitolon <i>{yes, no}</i><br>
+- <code>effect</code> (opciona) transpasa efekto (vidu <a href="http://docs.dev7studios.com/jquery-plugins/nivo-slider">NivoSlider-an dokumenton</a>)<br>
+- <code>arrows</code> (opciona) vidigas navigajn sagojn <i>{yes, no}</i><br>
+- <code>control</code> (opciona) vidigas navigajn kontrolojn <i>{yes, no, thumb}</i><br>
+- <code>elastic</code> (opciona) adaptas la grandecon de la bildoprezento al ĉiu foto <i>{yes, no}</i><br>
+- <code>thumbs_size</code> (optional) thumbnails size in pixel if <code>control=thumb</code><p>
Index: /extensions/ExtendedDescription/language/eo_EO/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/eo_EO/plugin.lang.php	(revision 26431)
+++ /extensions/ExtendedDescription/language/eo_EO/plugin.lang.php	(revision 26432)
@@ -23,3 +23,7 @@
 $lang['ExtendedDesc_help'] = 'Uzi etikedojn por etendita priskribo...';
 $lang['This category is redirected to %s'] = 'Tiu fotaro alidirektas al %s';
+
+$lang['Multilingual descriptions'] = 'Pluralingvaj priskriboj';
+$lang['Extended descriptions'] = 'Etenditaj priskriboj';
+$lang['Insert an album or a photo'] = 'Enŝovi fotaron aŭ foton';
 ?>