Index: /extensions/ExtendedDescription/language/es_ES/help.cat_photo.html
===================================================================
--- /extensions/ExtendedDescription/language/es_ES/help.cat_photo.html	(revision 26455)
+++ /extensions/ExtendedDescription/language/es_ES/help.cat_photo.html	(revision 26455)
@@ -0,0 +1,21 @@
+<ul>
+  <li><b>[cat=xx]</b></li>
+</ul>
+<p>Esta etiqueta se inserta un álbum en la descripción, donde xx es el identificador del álbum.</p>
+
+<ul>
+  <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Esta etiqueta le permite insertar una imagen de cualquier tamaño que desee, con:<br><br>
+- <code>id</code> el identificador de la foto<br>
+- <code>album</code> (opcional) el identificador del álbum padre<br>
+- <code>size</code> (optional) el tamaño de la foto, desde <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+
+- <code>html</code> (optional) if set to <i>no</i> (opcional) si se establece en <i> no </i> la etiqueta sólo devuelve la dirección URL de la foto, sin HTML<br>
+- <code>link</code> (opcional) si se establece en <i> sí </i> la foto estará envuelta en un enlace a la página de la imagen</p>
+
+
+<ul>
+  <li><b>[random album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Lo mismo que el anterior, excepto que la foto es elegida al azar <code>album</code></p>
Index: /extensions/ExtendedDescription/language/es_ES/help.hide.html
===================================================================
--- /extensions/ExtendedDescription/language/es_ES/help.hide.html	(revision 26454)
+++ /extensions/ExtendedDescription/language/es_ES/help.hide.html	(revision 26455)
@@ -1,20 +1,20 @@
-<h4>Enmascarar una categoría</h4>
+<h4>Ocultar un álbum</h4>
 
-<p>Ponemos la baliza <b>&lt;!--hidden--&gt;</b> En el nombre de la categoría :<br>
+<p>Utilizamos la baliza <b>&lt;!--hidden--&gt;</b> En el nombre del álbum :<br>
 <br>
-- Ésta no será fijada más sobre la página de la categoría allegada<br>
-- Queda visible en el menú de las categorías</p>
+- No se mostrara en el álbum padre<br>
+- Queda visible en el menú de los álbumes</p>
 
-<h4>Enmascarar una categoría en el menú</h4>
+<h4>Ocultar un álbum en el menú</h4>
 
-<p>Ponemos la baliza <b>&lt;!--mb-hidden--&gt;</b> en el nombre de la categoría:<br>
+<p>Utilizamos la baliza <b>&lt;!--mb-hidden--&gt;</b> en el nombre del álbum:<br>
 <br>
-- Ésta no será fijada más en el menú de las categorías<br>
-- Queda visible sobre la página de la categoría allegada</p>
+- No se mostrara en el menú de los álbumes<br>
+- Queda visible en el menú de los álbumes</p>
 
-<h4>Enmascarar una imagen</h4>
+<h4>Ocultar una imagen</h4>
 
-<p>Ponemos la baliza <b>&lt;!--hidden--&gt;</b> en el nombre de la imagen :<br>
+<p>Utilizamos la baliza <b>&lt;!--hidden--&gt;</b> en el nombre de la imagen :<br>
 <br>
-- Ésta no será fijada más sobre la página de las viñetas<br>
-- Queda sin embargo visible en el seno de la categoría</p>
+- No se mostrara en la página de las etiquetas<br>
+- Queda sin embargo visible dentro del álbum</p>
Index: /extensions/ExtendedDescription/language/es_ES/help.slider.html
===================================================================
--- /extensions/ExtendedDescription/language/es_ES/help.slider.html	(revision 26455)
+++ /extensions/ExtendedDescription/language/es_ES/help.slider.html	(revision 26455)
@@ -0,0 +1,17 @@
+<ul>
+  <li><b>[slider album=xx nb_images=10 random=no list=aa,bb,cc size=M speed=3 title=no effect=fade arrows=yes control=yes elastic=no thumbs_size=80]</b></li>
+</ul>
+<p>Esta etiqueta permite insertar una presentación de diapositivas (NivoSlider). (debe establecer <code>album</code>
+O <code>list</code>):<br><br>
+- <code>album</code> (opcional) Album fuente<br>
+- <code>nb_images</code> (opcional) número máximo de fotos que desea mostrar en la presentación de diapositivas<br>
+- <code>random</code> (opcional) elegir las fotos de forma aleatoria en el álbum <i>{si, no}</i><br>
+- <code>list</code> (opcional) una lista de los identificadores de las fotos separados por una coma<br>
+- <code>size</code> (opcional), el tamaño de las fotos, desde <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>speed</code> (opcional) velocidad de la presentación (en segundos)<br>
+- <code>title</code> (opcional) mostrar titulo de la foto <i>{si, no}</i><br>
+- <code>effect</code> (opcional) efecto de transición (ver <a href="http://docs.dev7studios.com/jquery-plugins/nivo-slider">NivoSlider doc</a>)<br>
+- <code>arrows</code> (opcional) mostrar flechas de navegación <i>{si, no}</i><br>
+- <code>control</code> (opcional) mostrar controles de navegación <i>{si, no, hojear}</i><br>
+- <code>elastic</code> (opcional) adaptar el tamaño de presentación de diapositivas a cada foto <i>{yes, no}</i><br>
+- <code>thumbs_size</code> (opcional) tamaño de las miniaturas  en píxeles si <code>control=thumb</code><p>
Index: /extensions/ExtendedDescription/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/es_ES/plugin.lang.php	(revision 26454)
+++ /extensions/ExtendedDescription/language/es_ES/plugin.lang.php	(revision 26455)
@@ -8,3 +8,6 @@
 $lang['Insert an album or a photo'] = 'Insertar una categoría o una imagen';
 
+$lang['Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.'] = 'Las descripciones se instalaron con éxito. Ahora usted puede utilizar todas sus funciones en la mayoría de los cuadros de texto de Piwigo.';
+$lang['Hide elements'] = 'Esconder elementos';
+$lang['Redirect elements'] = 'Redirigir elementos';
 ?>