Index: extensions/ExtendedDescription/language/nl_NL/description.txt
===================================================================
--- extensions/ExtendedDescription/language/nl_NL/description.txt	(revision 26455)
+++ extensions/ExtendedDescription/language/nl_NL/description.txt	(revision 26456)
@@ -1,1 +1,1 @@
-Voeg multilinguale beschrijvingen, banner, NMB, naam van het album, enz. toe.
+Voeg meertalige beschrijvingen, banner, NMB, naam van het album, enz. toe.
Index: extensions/ExtendedDescription/language/nl_NL/help.extdesc.html
===================================================================
--- extensions/ExtendedDescription/language/nl_NL/help.extdesc.html	(revision 26455)
+++ extensions/ExtendedDescription/language/nl_NL/help.extdesc.html	(revision 26456)
@@ -1,26 +1,26 @@
-<p>Uitgebreide omschrijving tags maken het mogelijk om een korte omschrijving te maken voor eht album buiten het album, en een langere omschrijving of zelfs 2 verschillende omschrijvingen binnen de album pagina.</p>
+<p>Uitgebreide Beschrijvings tags maken het mogelijk om een korte beschrijving te maken voor het album buiten het album, en een langere omschrijving of zelfs 2 verschillende omschrijvingen binnen de album pagina.</p>
 
-<p>tag &lt;!--more--&gt; tekst voor de korte omschrijving.<br>
-tag &lt;!--complete--&gt; laat de gebruiker 2 verschillende omschrijvingen.<br>
-tag &lt;!--up-down--&gt; laat de gebruiker een kop en voet omschrijving.</p>
+<p>tag &lt;!--more--&gt; tekst voor de korte beschrijving.<br>
+tag &lt;!--complete--&gt; laat de gebruiker 2 verschillende beschrijvingen toevoegen.<br>
+tag &lt;!--up-down--&gt; laat de gebruiker een kop en voet beschrijving toevoegen.</p>
 
 <ul>
   <li><b>tag &lt;!--more--&gt;</b></li>
 </ul>
-<code>korte omschrijving &lt;!--more--&gt; lange omschrijving</code>
+<code>korte beschrijving &lt;!--more--&gt; lange beschrijving</code>
 
-<p>Alleen de korte omschijving word getoond buiten het album. Op de album pagina, zie je een korte en lange omschrijving.</p>
+<p>Alleen de korte beschrijving word getoond buiten het album. Op de albumpagina zie je een korte en lange beschrijving.</p>
 
 <ul>
   <li><b>tag &lt;!--complete--&gt;</b></li>
 </ul>
-<code>korte omschrijving &lt;!--complete--&gt; lange omschrijving</code>
+<code>korte beschrijving &lt;!--complete--&gt; lange beschrijving</code>
 
-<p>>Alleen de korte omschijving word getoond buiten het album. Op de album pagina, zie je alleen de lange omschrijving. Zo   heb je 2 verschillende omschrijvingen.</p>
+<p>>Alleen de korte beschrijving word getoond buiten het album. Op de albumpagina zie je alleen de lange beschrijving. Zo heb je 2 verschillende beschrijvingen.</p>
 
 <ul>
   <li><b>tag &lt;!--up-down--&gt;</b></li>
 </ul>
-<code>top description &lt;!--up-down--&gt; bottom description</code>
+<code>top beschrijving &lt;!--up-down--&gt; voet beschrijving</code>
 
-<p>Alleen de top omschrijving is zichtbaar buiten het album.  Op de album pagina, de kop omschrijving wordt getoond boven de miniaturen, de voet omschrijving wordt getoond onder de miniaturen.</p>
+<p>Alleen de top beschrijving is zichtbaar buiten het album. Op de albumpagina, de kop-beschrijving wordt getoond boven de miniaturen, de voet beschrijving wordt getoond onder de miniaturen.</p>
Index: extensions/ExtendedDescription/language/nl_NL/help.hide.html
===================================================================
--- extensions/ExtendedDescription/language/nl_NL/help.hide.html	(revision 26455)
+++ extensions/ExtendedDescription/language/nl_NL/help.hide.html	(revision 26456)
@@ -1,12 +1,12 @@
 <h4>Verberg een album</h4>
 
-<p>Gebruik het label <b>&lt;!--hidden--&gt;</b> in de album naam:<br>
+<p>Gebruik het label <b>&lt;!--hidden--&gt;</b> in de albumnaam:<br>
 <br>
 - het wordt niet getoond in het bovenliggende album<br>
-- het blijft zichtbaar in het album menu</p>
+- het blijft zichtbaar in het album-menu</p>
 
-<h4>erberg een album in een menu</h4>
+<h4>Verberg een album in een menu</h4>
 
-<p>Gebruik het label <b>&lt;!--mb-hidden--&gt;</b> in de album naam:<br>
+<p>Gebruik het label <b>&lt;!--mb-hidden--&gt;</b> in de albumnaam:<br>
 <br>
 - het wordt niet getoond in het album menu<br>
@@ -15,6 +15,6 @@
 <h4>Verberg een foto</h4>
 
-<p>Gebruik het label <b>&lt;!--hidden--&gt;</b> in de foto naam:<br>
+<p>Gebruik het label <b>&lt;!--hidden--&gt;</b> in de fotonaam:<br>
 <br>
-- het wordt niet getoond op de miniaturen pagina<br>
+- het wordt niet getoond op de miniaturen-pagina<br>
 - het blijft zichtbaar binnen het album</p>
Index: extensions/ExtendedDescription/language/nl_NL/help.lang.html
===================================================================
--- extensions/ExtendedDescription/language/nl_NL/help.lang.html	(revision 26455)
+++ extensions/ExtendedDescription/language/nl_NL/help.lang.html	(revision 26456)
@@ -1,8 +1,8 @@
-<p>Multilanguage beschrijvingen worden geplaatst tussen [lang=xx] en [/lang] tags, waar xx de taalcode is (bv: en, es, fr). Er zijn ook 2 speciale talen: [lang=default] en [lang=all]</p>
+<p>Meertalige beschrijvingen worden geplaatst tussen [lang=xx] en [/lang] tags, waar xx de taalcode is (bv: en, es, fr). Er zijn ook 2 speciale talen: [lang=default] en [lang=all]</p>
 
 <ul>
   <li><b>Voorbeeld</b>:<br>
   <br>
-<code>[lang=default] default description [/lang]<br>
+<code>[lang=default] standaard beschrijving [/lang]<br>
 [lang=en] description in english [/lang]<br>
 [lang=de] deutsche Beschreibung [/lang]</code>
@@ -10,7 +10,7 @@
 </ul>
 
-<p>De standaard omschrijving zal gebruikt worden als de beschrijving niet beschikbaar is in de voor de huidige gebruiker geselecteerde taal.
+<p>De standaard beschrijving zal gebruikt worden als de beschrijving niet beschikbaar is in de voor de huidige gebruiker geselecteerde taal.
 Als [lang=default] niet bestaat, zal alles buiten de [lang] tags worden beschouwd als de standaard omschrijving.</p>
 
 <p><u>Special language <i>all</i></u>: alles binnen [lang=all] zal worden ingevoegd ,ongeacht wat de taal van de gebruiker is.
-Dit is handig voor het invoegen van HTML/JavaScript code binnen een omschijving.</p>
+Dit is handig voor het invoegen van HTML/JavaScript code binnen een beschrijving.</p>
Index: extensions/ExtendedDescription/language/nl_NL/help.redirect.html
===================================================================
--- extensions/ExtendedDescription/language/nl_NL/help.redirect.html	(revision 26455)
+++ extensions/ExtendedDescription/language/nl_NL/help.redirect.html	(revision 26456)
@@ -2,18 +2,18 @@
   <li><b>[redirect http://piwigo.org]</b></li>
 </ul>
-<p>Voeg dit label in , in een album omschrijving, om het door te sturenaar een URL naar keuze.</p>
+<p>Voeg dit label in , in een album-beschrijving, om het door te sturen naar een URL naar keuze.</p>
 
 <ul>
   <li><b>[redirect img=xx]</b></li>
 </ul>
-<p>verwijs naar een foto in de gallerie, waar xx is het foto ID; je kan ook het album ID gebruiken naast het foto ID: <code>xx.ccc</code>.</p>
+<p>Verwijs naar een foto in de galerie, waar xx het foto-ID is; U kunt ook het album-ID gebruiken naast het foto-ID: <code>xx.ccc</code>.</p>
 
 <ul>
   <li><b>[redirect cat=xx]</b></li>
 </ul>
-<p>Verwijs naar een album uit je gallerie waar xx het album ID is.</p>
+<p>Verwijs naar een album uit uw galerie waar xx het album-ID is.</p>
 
 <ul>
   <li><b>[redirect search=xx]</b></li>
 </ul>
-<p>Verwijs naar een zoek pagina van je gallerie waar xx het zoek ID is.</p>
+<p>Verwijs naar een zoekpagina van uw galerie waar xx het zoek-ID is.</p>
Index: extensions/ExtendedDescription/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/ExtendedDescription/language/nl_NL/plugin.lang.php	(revision 26455)
+++ extensions/ExtendedDescription/language/nl_NL/plugin.lang.php	(revision 26456)
@@ -21,9 +21,12 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Use Extended Description tags...'] = 'Gebruik uitgebreide omschrijvings labels..';
+$lang['Use Extended Description tags...'] = 'Gebruik Uitgebreide Beschrijvings-labels...';
 $lang['This category is redirected to %s'] = 'Dit album wordt doorgestuurd naar %s';
 
-$lang['Multilingual descriptions'] = 'Multilanguage beschrijvingen';
-$lang['Extended descriptions'] = 'Uitgebreide omschrijvingen';
+$lang['Multilingual descriptions'] = 'Meertalige beschrijvingen';
+$lang['Extended descriptions'] = 'Uitgebreide Beschrijvingen';
 $lang['Insert an album or a photo'] = 'Invoegen van foto of album';
+$lang['Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.'] = 'Uitgebreide Beschrijving is met succes geïnstalleerd. U kunt nu alle functies gebruiken in de meeste tekstvakken van Piwigo.';
+$lang['Hide elements'] = 'Verberg elementen';
+$lang['Redirect elements'] = 'Stuur elementen door';
 ?>