Index: /extensions/ExtendedDescription/language/sl_SI/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/sl_SI/description.txt	(revision 26462)
+++ /extensions/ExtendedDescription/language/sl_SI/description.txt	(revision 26462)
@@ -0,0 +1,1 @@
+Dodajte večjezične opise, pasice, NBM, ime albuma itd...
Index: /extensions/ExtendedDescription/language/sl_SI/help.lang.html
===================================================================
--- /extensions/ExtendedDescription/language/sl_SI/help.lang.html	(revision 26462)
+++ /extensions/ExtendedDescription/language/sl_SI/help.lang.html	(revision 26462)
@@ -0,0 +1,15 @@
+<p>Večjezični opisi so umeščeni med oznaki [lang=xx] in [/lang] kjer, xx pomeni kodo jezika (naprimer sl, en, de). Obstajata tudi 2 posebni izbiri jezika : [lang=default] in [lang=all]</p>
+
+<ul>
+  <li><b>Primer</b>:<br>
+<code>[lang=default] privzet opis [/lang]<br>
+[lang=en] description in english [/lang]<br>
+[lang=sl] opis v Slovenščini [/lang]</code>
+</li>
+</ul>
+
+<p>Uporabljen bo privzet opis če ni opisa v jeziku, ki si ga izbere uporabnik.
+Če [lang=default] ne obstaja, bo vse izven oznak [lang] upoštevano kot privzet opis.</p>
+
+<p><u>Posebna jezikovna izbira <i>all</i></u>: vse v oznaki [lang=all] bo vključeno v opis, ne glede na jezik, ki ga izbere uporabnik.
+To je primerno predvsem za vključitev HTML/JavaScript kode znotraj opisa.</p>
Index: /extensions/ExtendedDescription/language/sl_SI/index.php
===================================================================
--- /extensions/ExtendedDescription/language/sl_SI/index.php	(revision 26462)
+++ /extensions/ExtendedDescription/language/sl_SI/index.php	(revision 26462)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/ExtendedDescription/language/sl_SI/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/sl_SI/plugin.lang.php	(revision 26462)
+++ /extensions/ExtendedDescription/language/sl_SI/plugin.lang.php	(revision 26462)
@@ -0,0 +1,31 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2014 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.'] = 'Modul "Razširjen opis" je bil uspešno nameščen. Sedaj lahko uporabljate možnosti modula v večini besedilnih blokov Piwiga.';
+$lang['Extended descriptions'] = 'Razširjen opis';
+$lang['Hide elements'] = 'Skrij predmete';
+$lang['Insert an album or a photo'] = 'Vstavi album ali sliko';
+$lang['Multilingual descriptions'] = 'Večjezični opis';
+$lang['Redirect elements'] = 'Preusmeri predmete';
+$lang['This category is redirected to %s'] = 'Ta album je preusmerjen na %s';
+$lang['Use Extended Description tags...'] = 'Uporabi oznake Razširjen opis...';
+?>