Index: /extensions/ExtendedDescription/language/zh_CN/description.txt
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/description.txt	(revision 26474)
+++ /extensions/ExtendedDescription/language/zh_CN/description.txt	(revision 26475)
@@ -1,1 +1,1 @@
-添加多个描述，横幅，NMB，分类名称，等等...
+添加多语言描述，banner横幅，NMB，分类名称，等等...
Index: /extensions/ExtendedDescription/language/zh_CN/help.cat_photo.html
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/help.cat_photo.html	(revision 26475)
+++ /extensions/ExtendedDescription/language/zh_CN/help.cat_photo.html	(revision 26475)
@@ -0,0 +1,19 @@
+<ul>
+  <li><b>[cat=xx]</b></li>
+</ul>
+<p>此tag标签可在描述中插入一个相册，xx为相册id。</p>
+
+<ul>
+  <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>此tag标签可在描述中插入一张任意尺寸的图片：<br><br>
+- <code>id</code> 图片id <br>
+- <code>album</code> (可选) 当前相册id <br>
+- <code>size</code> (可选) 图片尺寸，有 <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (可选) 如果设为 <i>no</i> 则tag标签仅给出图片的URL，不包含HTML<br>
+- <code>link</code> (可选) 如果设为 <i>yes</i> 则点击图片可进入该图片所在页面</p>
+
+<ul>
+  <li><b>[random album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>同上，只是图片是从<code>album</code>中随机抽选的</p>
Index: /extensions/ExtendedDescription/language/zh_CN/help.extdesc.html
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/help.extdesc.html	(revision 26474)
+++ /extensions/ExtendedDescription/language/zh_CN/help.extdesc.html	(revision 26475)
@@ -1,7 +1,7 @@
-<p>扩展描述的标记，使我们能够有一个简短描述在分类外部，同时有一个详细的描述在分类内部页面，或者甚至有2个不同的分类说明在一个分类页面里。</p>
+<p>扩展描述的tag标签，使我们能够在相册外部有一个简短描述，同时在相册内部页面有一个详细的描述，甚至在一个相册页面里可以有2个不同的描述。</p>
 
-<p>tag &lt;!--more--&gt; 添加简短的描述文本.<br>
-tag &lt;!--complete--&gt; 让用户有2种不同的描述.<br>
-tag &lt;!--up-down--&gt; 让用户可有一个顶部和底部的描述.</p>
+<p>tag &lt;!--more--&gt; 添加简短的描述文本。<br>
+tag &lt;!--complete--&gt; 让用户有2种不同的描述。<br>
+tag &lt;!--up-down--&gt; 让用户可有一个顶部和底部的描述。</p>
 
 <ul>
@@ -9,5 +9,5 @@
 </ul>
 <code>简短的描述 &lt;!--more--&gt; 详细描述</code>
-<p>只有简短的描述会在分类外显示，在分类页面里，您将看到简短描述 + 详细描述.</p>
+<p>只有简短的描述会在相册外显示，在相册页面里，您将看到简短描述 + 详细描述。</p>
 
 <ul>
@@ -15,5 +15,5 @@
 </ul>
 <code>简短的描述 &lt;!--complete--&gt; 详细描述</code>
-<p>只有简短的描述会在分类外显示，在分类页面里，您只能看到详细描述，因此您可以有2种不同的描述.</p>
+<p>只有简短的描述会在相册外显示，在相册页面里，您只能看到详细描述，因此您可以有2种不同的描述。</p>
 
 <ul>
@@ -21,3 +21,3 @@
 </ul>
 <code>顶部描述 &lt;!--up-down--&gt; 底部描述</code>
-<p>只有顶部描述会在分类外显示，在分类页面里，顶部描述会显示在缩略图上方，底部描述会显示在缩略图的下方.</p>
+<p>只有顶部描述会在相册外显示，在相册页面里，顶部描述会显示在缩略图上方，底部描述会显示在缩略图的下方。</p>
Index: /extensions/ExtendedDescription/language/zh_CN/help.hide.html
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/help.hide.html	(revision 26474)
+++ /extensions/ExtendedDescription/language/zh_CN/help.hide.html	(revision 26475)
@@ -1,20 +1,20 @@
-<h4>隐藏一个分类</h4>
+<h4>隐藏一个相册</h4>
 
-<p>在分类名称里使用标签 <b>&lt;!--hidden--&gt;</b> :<br>
+<p>在相册名称里使用标签 <b>&lt;!--hidden--&gt;</b> :<br>
 <br>
 - 它将不会在父分类中显示<br>
-- 但它仍可在分类菜单中看见</p>
+- 但它仍可在相册菜单中看见</p>
 
-<h4>隐藏菜单中的分类</h4>
+<h4>隐藏菜单中的相册</h4>
 
-<p>在分类名称里使用标签 <b>&lt;!--mb-hidden--&gt;</b> :<br>
+<p>在相册名称里使用标签 <b>&lt;!--mb-hidden--&gt;</b> :<br>
 <br>
-- 它将不会在分类菜单中显示<br>
-- 但它仍可在父级分类中看见</p>
+- 它将不会在相册菜单中显示<br>
+- 但它仍可在父级相册中看见</p>
 
-<h4>隐藏一张相片</h4>
+<h4>隐藏一张图片</h4>
 
-<p>在相片名称中使用标签 <b>&lt;!--hidden--&gt;</b>:<br>
+<p>在图片名称中使用标签 <b>&lt;!--hidden--&gt;</b>:<br>
 <br>
 - 它将不会在缩略图页面中显示<br>
-- 但它仍可在分类页面里看见</p>
+- 但它仍可在相册页面里看见</p>
Index: /extensions/ExtendedDescription/language/zh_CN/help.lang.html
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/help.lang.html	(revision 26474)
+++ /extensions/ExtendedDescription/language/zh_CN/help.lang.html	(revision 26475)
@@ -4,5 +4,5 @@
   <li><b>例如</b>:<br>
 <code>[lang=default] 默认描述 [/lang]<br>
-[lang=en] description in english [/lang]<br>
+[lang=en] description in English [/lang]<br>
 [lang=de] deutsche Beschreibung [/lang]</code>
 </li>
Index: /extensions/ExtendedDescription/language/zh_CN/help.redirect.html
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/help.redirect.html	(revision 26475)
+++ /extensions/ExtendedDescription/language/zh_CN/help.redirect.html	(revision 26475)
@@ -0,0 +1,19 @@
+<ul>
+  <li><b>[redirect http://piwigo.org]</b></li>
+</ul>
+<p>在相册描述中插入此tag标签，可使之重定向到您选择的URL。</p>
+
+<ul>
+  <li><b>[redirect img=xx]</b></li>
+</ul>
+<p>重定向到图库中的一张图片，xx为图片id；您可在图片id旁添加相册id：<code>xx.ccc</code>.</p>
+
+<ul>
+  <li><b>[redirect cat=xx]</b></li>
+</ul>
+<p>重定向到图库中的一个相册，xx为相册id。</p>
+
+<ul>
+  <li><b>[redirect search=xx]</b></li>
+</ul>
+<p>>重定向到图库的一个搜索页，xx为搜索id。</p>
Index: /extensions/ExtendedDescription/language/zh_CN/help.slider.html
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/help.slider.html	(revision 26475)
+++ /extensions/ExtendedDescription/language/zh_CN/help.slider.html	(revision 26475)
@@ -0,0 +1,16 @@
+<ul>
+  <li><b>[slider album=xx nb_images=10 random=no list=aa,bb,cc size=M speed=3 title=no effect=fade arrows=yes control=yes elastic=no thumbs_size=80]</b></li>
+</ul>
+<p>该标签可插入一个slideshow幻灯(NivoSlider)。(必须设置 <code>album</code> 或 <code>list</code>)：<br><br>
+- <code>album</code> (可选) 来源相册<br>
+- <code>nb_images</code> (可选) 在slideshow幻灯中显示的图片数量最大值<br>
+- <code>random</code> (可选) 在相册中随机选择图片 <i>{yes, no}</i><br>
+- <code>list</code> (可选) 图片id清单，以英文逗号分隔<br>
+- <code>size</code> (可选) 图片尺寸，有 <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>speed</code> (可选) slideshow幻灯速度(单位：秒)<br>
+- <code>title</code> (可选) 显示图片标题 <i>{yes, no}</i><br>
+- <code>effect</code> (可选) 变换效果 (见 <a href="http://docs.dev7studios.com/jquery-plugins/nivo-slider">NivoSlider doc</a>)<br>
+- <code>arrows</code> (可选) 显示导航箭头 <i>{yes, no}</i><br>
+- <code>control</code> (可选) 显示导航控制 <i>{yes, no, thumb}</i><br>
+- <code>elastic</code> (可选) slideshow幻灯适应图片尺寸 <i>{yes, no}</i><br>
+- <code>thumbs_size</code> (可选) 如果设置了 <code>control=thumb</code>，则缩略图的像素尺寸大小<p>
Index: /extensions/ExtendedDescription/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/ExtendedDescription/language/zh_CN/plugin.lang.php	(revision 26474)
+++ /extensions/ExtendedDescription/language/zh_CN/plugin.lang.php	(revision 26475)
@@ -5,5 +5,9 @@
 $lang['Multilingual descriptions'] = '多语言描述';
 $lang['Extended descriptions'] = '扩展描述';
-$lang['Insert an album or a photo'] = '插入一个分类或相片';
+$lang['Insert an album or a photo'] = '插入一个相册或图片';
 
+$lang['This category is redirected to %s'] = '该相册重定向到 %s';
+$lang['Extended Description have been successfully installed. Now you can use all its features in most text boxes of Piwigo.'] = 'Extended Description 已成功安装。现在您可在大部分Piwigo的文字输入框中使用它。';
+$lang['Hide elements'] = '隐藏元素';
+$lang['Redirect elements'] = '重定向元素';
 ?>